> For the complete documentation index, see [llms.txt](https://docs.taco.build/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.taco.build/reference/architecture.md).

# Architecture

This section provides detailed information about the TACo protocol's architecture, components, and interactions. Use the links below to explore different aspects of the architecture.

## Core Documents

* [Protocol Architecture](/reference/architecture/protocol-architecture.md) - Comprehensive overview of the TACo protocol layers and components
* [Protocol Flow](/reference/architecture/protocol-flow.md) - Detailed explanation of the protocol operations and interactions
* [UML Use Case Diagram](/reference/architecture/uml-usecase-diagram.md) - Visual representation of actors and use cases
* [Porter](/reference/architecture/porter.md) - Details about the Porter service that connects applications to the TACo node network

## Architecture Overview

TACo's architecture consists of interconnected layers and components working together to provide secure, decentralized access control:

* **Application Integration Layer** - SDK and interfaces for developers building Web3 & Web2 Applications
* **Protocol Layer** - Core protocol services and infrastructure
* **Porter Service** - Protocol abstraction and gateway
* **Web3 Integration** - Connections to blockchain networks and other web3 infrastructure

See the [Protocol Architecture](/reference/architecture/protocol-architecture.md) document for an in-depth exploration of these components.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.taco.build/reference/architecture.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
